Bug 829396 - [abrt] rhythmbox-2.96-3.fc17: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.96-3.fc17: Process /usr/bin/rhythmbox was killed by signal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:5ee57af4014e696557f00bdd18e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 11:17 EDT by Vilhjálmur Magnússon
Modified: 2013-07-31 16:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:40:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (25.43 KB, text/plain)
2012-06-06 11:17 EDT, Vilhjálmur Magnússon
no flags Details
File: backtrace (60.66 KB, text/plain)
2012-06-06 11:17 EDT, Vilhjálmur Magnússon
no flags Details
File: xsession_errors (16.05 KB, text/plain)
2012-06-06 11:17 EDT, Vilhjálmur Magnússon
no flags Details
File: maps (141.45 KB, text/plain)
2012-06-06 11:17 EDT, Vilhjálmur Magnússon
no flags Details
File: dso_list (26.71 KB, text/plain)
2012-06-06 11:17 EDT, Vilhjálmur Magnússon
no flags Details
File: build_ids (10.21 KB, text/plain)
2012-06-06 11:17 EDT, Vilhjálmur Magnússon
no flags Details

  None (edit)
Description Vilhjálmur Magnússon 2012-06-06 11:17:03 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rhythmbox
comment:        Trying to delete playlists on an ipod. And move music over to my ipod.
crash_function: rb_ipod_static_playlist_source_get_itdb_playlist
executable:     /usr/bin/rhythmbox
kernel:         3.3.7-1.fc17.x86_64
pid:            9507
pwd:            /home/superman
time:           Wed 06 Jun 2012 03:01:31 PM GMT
uid:            1000
username:       superman

backtrace:      Text file, 62119 bytes
build_ids:      Text file, 10455 bytes
dso_list:       Text file, 27355 bytes
event_log:      Text file, 26041 bytes
maps:           Text file, 144848 bytes
xsession_errors: Text file, 16434 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/superman/2

core_backtrace:
:b204ea547e0d74aef93de8dcec7b7bf701378860 0xa815 rb_ipod_static_playlist_source_get_itdb_playlist libipod.so -
:b204ea547e0d74aef93de8dcec7b7bf701378860 0xbc58 - libipod.so -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:b204ea547e0d74aef93de8dcec7b7bf701378860 0x81e7 - libipod.so -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4827b - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47ad4 g_main_context_iteration libglib-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x97dec g_application_run libgio-2.0.so.0 -
:3f7dee0af9fcc15cc82c9e1abb2bfc1cfb95f183 0x113f main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=superdora
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/superman/keyring-1Fz5OW
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=superman
:LIBGL_DRIVERS_PATH=/usr/lib/dri:/usr/lib64/dri
:USERNAME=
:MAIL=/var/spool/mail/superman
:PATH=/usr/lib/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/superman/.local/bin:/home/superman/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/superman
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1741
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/superman
:SHLVL=1
:LOGNAME=superman
:QTLIB=/usr/lib/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-uw05xCxXUe,guid=b67ba55d0f6cc67ab9d77f6200000204
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/superman
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-superman-i1Fhfe/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1746,unix/unix:/tmp/.ICE-unix/1746
:SSH_AUTH_SOCK=/run/user/superman/keyring-1Fz5OW/ssh
:GPG_AGENT_INFO=/run/user/superman/keyring-1Fz5OW/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=9507
:DESKTOP_STARTUP_ID=gnome-shell-1992-superdora-rhythmbox-9_TIME12114267

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 46515                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       46515                46515                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/superman/.xsession-errors
:pos:	279729
:flags:	0102002
:2:/home/superman/.xsession-errors
:pos:	279729
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[83581]
:pos:	0
:flags:	02000002
:5:socket:[84084]
:pos:	0
:flags:	02004002
:6:socket:[84085]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[83583]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[84091]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[84087]
:pos:	0
:flags:	02004002
:13:/home/superman/.cache/rhythmbox/album-art/store.tdb
:pos:	168
:flags:	02100002
:14:socket:[84089]
:pos:	0
:flags:	02004002
:15:socket:[81775]
:pos:	0
:flags:	02004002
:16:/tmp/ffiBtXxnF (deleted)
:pos:	0
:flags:	0100002
:17:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:18:socket:[84092]
:pos:	0
:flags:	02004002
:19:anon_inode:inotify
:pos:	0
:flags:	02004000
:20:socket:[81781]
:pos:	0
:flags:	02004002
:21:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 2562ac09-bbcc-4429-b4ad-0e75b0b2d82e
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5054.54
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 460  @ 2.53GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2534
:System Memory: 5833
:System Swap: 7871
:Vendor: Acer
:System: Aspire 5820TG V1.19
:Form factor: Notebook
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:68:4133:861) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4133:861) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:15152:4133:861) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:4133:861) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:4133:861) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4133:861) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(6505:4211:4133:861) pci, atl1c, ETHERNET, AR8151 v1.0 Gigabit Ethernet
:(32902:15164:4133:861) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4133:861) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4133:861) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:11521:4133:861) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11362:4133:861) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(5348:17239:4187:57377) pci, bcma-pci-bridge, NETWORK, BCM43225 802.11b/g/n
:(32902:15170:4133:861) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15190:4133:861) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4133:861) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(4098:43616:4133:860) pci, snd_hda_intel, MULTIMEDIA, Redwood HDMI Audio [Radeon HD 5600 Series]
:(4098:26817:4133:860) pci, fglrx_pci, VIDEO, Madison [AMD Radeon HD 5000M Series]
:(32902:15180:4133:861) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:11537:4133:861) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11536:4133:861) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11539:4133:861) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11538:4133:861) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_superdora-lv_root / ext4 4096 4096 13092026 9398484 9267434 3276800 2855116 2855116
:/dev/sda1 /boot ext4 1024 1024 508745 422305 396705 128016 127616 127616
:/dev/mapper/vg_superdora-lv_home /home ext4 4096 4096 81107093 76334791 72274836 20299776 20158125 20158125
:/dev/sdc1 WITHHELD vfat UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/sdb3 WITHHELD hfsplus UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:

var_log_messages:
:Jun  6 15:01:31 superdora kernel: [12465.839508] rhythmbox[9507]: segfault at 8 ip 00007f05b8d44815 sp 00007fff08f0a8d8 error 4 in libipod.so[7f05b8d3a000+14000]
:Jun  6 15:01:35 superdora abrt[9684]: Saved core dump of pid 9507 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-06-06-15:01:31-9507 (167444480 bytes)
Comment 1 Vilhjálmur Magnússon 2012-06-06 11:17:08 EDT
Created attachment 589936 [details]
File: event_log
Comment 2 Vilhjálmur Magnússon 2012-06-06 11:17:10 EDT
Created attachment 589937 [details]
File: backtrace
Comment 3 Vilhjálmur Magnússon 2012-06-06 11:17:12 EDT
Created attachment 589938 [details]
File: xsession_errors
Comment 4 Vilhjálmur Magnússon 2012-06-06 11:17:16 EDT
Created attachment 589939 [details]
File: maps
Comment 5 Vilhjálmur Magnússon 2012-06-06 11:17:18 EDT
Created attachment 589940 [details]
File: dso_list
Comment 6 Vilhjálmur Magnússon 2012-06-06 11:17:21 EDT
Created attachment 589941 [details]
File: build_ids
Comment 7 Fedora End Of Life 2013-07-03 16:33:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-07-31 16:40:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.